package com.yihu.jw.entity.base.patient;

import com.yihu.jw.entity.IntegerIdentityEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;


/**
 * 居民卡包实体
 * 
 * @author Administrator on  2018年11月27日
 *
 */
@Entity
@Table(name = "patient_medicare_card")
@SequenceGenerator(name="id_generated", sequenceName="PATIENT_MEDICARE_CARD_SEQ")
public class PatientMedicareCardDO extends IntegerIdentityEntity {

   public enum ParentType {

        CareCard("A", "医疗卡"),
        Coupons("B", "优惠券"),
        BankCard("C", "银行卡");

        private String type;
        private String desc;

         ParentType(String type, String desc) {
            this.type = type;
            this.desc = desc;
        }

       public String getType() {
           return type;
       }

       public void setType(String type) {
           this.type = type;
       }

       public String getDesc() {
           return desc;
       }

       public void setDesc(String desc) {
           this.desc = desc;
       }
   }

   public enum Type {

        MedicareCard("A_01", "医(社)保卡"),
        PatientIDCard("A_02", "电子就诊卡");

        private String type;
        private String desc;

         Type(String type, String desc) {
            this.type = type;
            this.desc = desc;
        }

       public String getType() {
           return type;
       }

       public void setType(String type) {
           this.type = type;
       }

       public String getDesc() {
           return desc;
       }

       public void setDesc(String desc) {
           this.desc = desc;
       }
   }
    private String medicareNumber;
    /**
	 * 卡标识
	 */
	private String code;

    /**
	 * 卡的大类（A-医疗卡，B-优惠券，C-银行卡，unknow-其他）
	 */
	private String parentType;

    /**
	 * 卡的小类：医疗卡包含 A_01 医保卡，A_02 电子社保卡 A_03 电子就诊卡等等，，，
	 */
	private String type;

    /**
	 * 居民标识
	 */
	private String patientCode;

    /**
	 * 医社保卡缴交的城市
	 */
	private String cityCode;

    /**
	 * 微信openid，有些卡会绑定微信
	 */
	private String wxOpenid;

	/**
	 * 机构code，就诊卡跟医院关联
	 */
	private String orgCode;

    /**
	 * 备注
	 */
	private String remark;

    /**
	 * 状态，0-解除绑定，1-绑定中
	 */
	private String del;
    @Column(name = "medicare_number")
    public String getMedicareNumber() {
        return medicareNumber;
    }

    public void setMedicareNumber(String medicareNumber) {
        this.medicareNumber = medicareNumber;
    }

    @Column(name = "code")
    public String getCode() {
        return code;
    }
    public void setCode(String code) {
        this.code = code;
    }

	@Column(name = "parent_type")
    public String getParentType() {
        return parentType;
    }
    public void setParentType(String parentType) {
        this.parentType = parentType;
    }

	@Column(name = "type")
    public String getType() {
        return type;
    }
    public void setType(String type) {
        this.type = type;
    }

	@Column(name = "patient_code")
    public String getPatientCode() {
        return patientCode;
    }
    public void setPatientCode(String patientCode) {
        this.patientCode = patientCode;
    }

    @Column(name = "city_code")
    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    @Column(name = "wx_openid")
    public String getWxOpenid() {
        return wxOpenid;
    }
    public void setWxOpenid(String wxOpenid) {
        this.wxOpenid = wxOpenid;
    }

	@Column(name = "remark")
    public String getRemark() {
        return remark;
    }
    public void setRemark(String remark) {
        this.remark = remark;
    }

	@Column(name = "del")
    public String getDel() {
        return del;
    }
    public void setDel(String del) {
        this.del = del;
    }
    @Column(name = "org_code")
    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }
}